summaryrefslogtreecommitdiff
path: root/.ci
diff options
context:
space:
mode:
authorMichael Santana <msantana@redhat.com>2019-03-25 11:32:08 -0400
committerThomas Monjalon <thomas@monjalon.net>2019-03-26 22:31:40 +0100
commit99889bd85228bdf6fa28e160308444d82dca68cd (patch)
treed313e69fefcb6f86de34bd4bc342aa997a8d6774 /.ci
parent866bc6742c5478023219d5f795d44a0254a3ee88 (diff)
downloaddpdk-draft-windows-99889bd85228bdf6fa28e160308444d82dca68cd.zip
dpdk-draft-windows-99889bd85228bdf6fa28e160308444d82dca68cd.tar.gz
dpdk-draft-windows-99889bd85228bdf6fa28e160308444d82dca68cd.tar.xz
ci: introduce Travis builds for GitHub repositories
GitHub is a service used by developers to store repositories. GitHub provides service integrations that allow 3rd party services to access developer repositories and perform actions. One of these services is Travis-CI, a simple continuous integration platform. This series introduces the ability for any github mirrors of the DPDK project, including developer mirrors, to kick off builds under the travis CI infrastructure. For now, this just means compilation - no other kinds of automated run exists yet. In the future, this can be expanded to execute and report results for any test-suites that might exist. This is a simple initial implementation of a travis build for the DPDK project. It doesn't require any changes from individual developers to enable, but will allow those developers who opt-in to GitHub and the travis service to get automatic builds for every push they make. The files added under .ci/ exist so that in the future, other CI support platforms (such as cirrus, appveyor, etc.) could have a common place to put their requisite scripts without polluting the main tree. Signed-off-by: Aaron Conole <aconole@redhat.com> Signed-off-by: Michael Santana <msantana@redhat.com> Acked-by: Bruce Richardson <bruce.richardson@intel.com> Acked-by: Luca Boccassi <bluca@debian.org> Reviewed-by: Honnappa Nagarahalli <honnappa.nagarahalli@arm.com> Acked-by: Thomas Monjalon <thomas@monjalon.net>
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/linux-build.sh24
-rwxr-xr-x.ci/linux-setup.sh3
2 files changed, 27 insertions, 0 deletions
diff --git a/.ci/linux-build.sh b/.ci/linux-build.sh
new file mode 100755
index 0000000..4eb7c3c
--- /dev/null
+++ b/.ci/linux-build.sh
@@ -0,0 +1,24 @@
+#!/bin/sh -xe
+
+on_error() {
+ if [ $? = 0 ]; then
+ exit
+ fi
+ FILES_TO_PRINT="build/meson-logs/testlog.txt build/.ninja_log build/meson-logs/meson-log.txt"
+
+ for pr_file in $FILES_TO_PRINT; do
+ if [ -e "$pr_file" ]; then
+ cat "$pr_file"
+ fi
+ done
+}
+trap on_error EXIT
+
+if [ "$AARCH64" = "1" ]; then
+ # convert the arch specifier
+ OPTS="$OPTS --cross-file config/arm/arm64_armv8_linuxapp_gcc"
+fi
+
+OPTS="$OPTS --default-library=$DEF_LIB"
+meson build --werror -Dexamples=all $OPTS
+ninja -C build
diff --git a/.ci/linux-setup.sh b/.ci/linux-setup.sh
new file mode 100755
index 0000000..acdf9f3
--- /dev/null
+++ b/.ci/linux-setup.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+python3 -m pip install --upgrade meson --user